package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.Date;
import java.util.List;

/**
 * 订单详情查询参数
 *
 * @Author 陈标
 * @Date 2019/12/12 14:38
 */
public class OrderItemQuery extends BasePageQuery {

    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单号列表
     */
    private List<String> orderNoList;

    /**
     * spuId
     */
    private Long goodsId;

    /**
     * 活动id
     */
    private Long activityId;

    /**
     * 限时折扣
     */
    private Integer isTimeDiscount;

    /**
     * 商品标识
     */
    private String itemSign;

    /**
     * 成交价格
     */
    private Integer itemPrice;

    /**
     * 商品id
     */
    private String itemId;

    /**
     * 上一个id
     */
    private Long lastId;

    /**
     * 活动id列表
     */
    private List<Long> activityIdList;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 修改后的userId
     */
    private Long updateUserId;

    private List<Long> userIdList;

    /**
     * 更新时间开始
     */
    private Date updatedAtStart;

    /**
     * 更新时间结束
     */
    private Date updatedAtEnd;

    /**
     * 数量
     */
    private Integer size;

    private Long excludeSellerId;

    private Long maxId;

    private Integer sortFlag;

    public Integer getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(Integer sortFlag) {
        this.sortFlag = sortFlag;
    }

    public Long getMaxId() {
        return maxId;
    }

    public void setMaxId(Long maxId) {
        this.maxId = maxId;
    }

    public Long getExcludeSellerId() {
        return excludeSellerId;
    }

    public void setExcludeSellerId(Long excludeSellerId) {
        this.excludeSellerId = excludeSellerId;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Date getUpdatedAtStart() {
        return updatedAtStart;
    }

    public void setUpdatedAtStart(Date updatedAtStart) {
        this.updatedAtStart = updatedAtStart;
    }

    public Date getUpdatedAtEnd() {
        return updatedAtEnd;
    }

    public void setUpdatedAtEnd(Date updatedAtEnd) {
        this.updatedAtEnd = updatedAtEnd;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public List<Long> getActivityIdList() {
        return activityIdList;
    }

    public void setActivityIdList(List<Long> activityIdList) {
        this.activityIdList = activityIdList;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Integer getIsTimeDiscount() {
        return isTimeDiscount;
    }

    public void setIsTimeDiscount(Integer isTimeDiscount) {
        this.isTimeDiscount = isTimeDiscount;
    }

    public String getItemSign() {
        return itemSign;
    }

    public void setItemSign(String itemSign) {
        this.itemSign = itemSign;
    }

    public Integer getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Integer itemPrice) {
        this.itemPrice = itemPrice;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
